package com.wechat.model.dto;

import java.util.Date;

import org.apache.commons.lang.StringEscapeUtils;

import com.wechat.common.utils.DateUtils;

public class ExchangeHisDto {
	
	//兑换记录id
	private Integer hisId;
	//奖品名-中文
	private String prizeNameCn;
	//奖品名-英文
    private String prizeNameEn;
    //兑换值-优质会员
    private Integer exchangeQuality;
    //兑换值-普通会员
    private Integer exchangeNormal;
    //奖品图-PC
    private String imgPc;
    //奖品图-手机
    private String imgMobile;
    //兑换状态
    private String status;
    //兑换状态
    private String statusName;
    //兑换时间
    private String exchangeDate;
    
    public String getPrizeNameCn() {
        return prizeNameCn;
    }

	public Integer getExchangeQuality() {
		return exchangeQuality;
	}

	public void setExchangeQuality(Integer exchangeQuality) {
		this.exchangeQuality = exchangeQuality;
	}

	public Integer getExchangeNormal() {
		return exchangeNormal;
	}

	public void setExchangeNormal(Integer exchangeNormal) {
		this.exchangeNormal = exchangeNormal;
	}

    public void setPrizeNameCn(String prizeNameCn) {
    	prizeNameCn = StringEscapeUtils.unescapeHtml(prizeNameCn);
        this.prizeNameCn = prizeNameCn == null ? null : prizeNameCn.trim();
    }

    public String getPrizeNameEn() {
        return prizeNameEn;
    }

    public void setPrizeNameEn(String prizeNameEn) {
    	prizeNameEn = StringEscapeUtils.unescapeHtml(prizeNameEn);
        this.prizeNameEn = prizeNameEn == null ? null : prizeNameEn.trim();
    }

	public String getImgPc() {
		return imgPc;
	}

	public void setImgPc(String imgPc) {
		this.imgPc = imgPc;
	}

	public String getImgMobile() {
		return imgMobile;
	}

	public void setImgMobile(String imgMobile) {
		this.imgMobile = imgMobile;
	}

	public String getExchangeDate() {
		return exchangeDate;
	}
	public void setExchangeDate(Date exchangeDate) {
		this.exchangeDate = DateUtils.dateToString(exchangeDate,DateUtils.PATTEN_YMD);
	}

	public Integer getHisId() {
		return hisId;
	}

	public void setHisId(Integer hisId) {
		this.hisId = hisId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getStatusName() {
		return statusName;
	}

	public void setStatusName(String statusName) {
		this.statusName = statusName;
	}
}